# Authority: vip-ire
# Name: Daniel Berteaud

%define name smeserver-dokuwiki
%define version 0.1
%define release 0.beta5
Summary: sme server integration of dokuwiki
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL
URL: http://www.splitbrain.org/projects/dokuwiki
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz

Patch1: smeserver-dokuwiki-0.1-various_httpd_conf_fix.patch
Patch2: smeserver-dokuwiki-0.1-reserve_dokuwiki_account_name.patch
Patch3: smeserver-dokuwiki-0.1-http_ldap_auth.patch

BuildArchitectures: noarch
BuildRequires: e-smith-devtools
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-base >= 5.2.0-56
Requires: dokuwiki
Requires: smeserver-webapps-common
AutoReqProv: no

%description
smserver integration of dokuwiki
DokuWiki is a simple to use Wiki aimed at the documentation needs of a small company

%changelog
* Fri Jul 08 2011 Daniel B. <daniel@firewall-services.com> 0.1-1
- initial release

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
perl ./createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
	> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT


%postun

